<button [routerLink]="['']" type="button" class="btn btn-light" id="back">
  <i class="fas fa-long-arrow-alt-left"></i>
  Back
</button>
<div class="container">
  <h2 class="text-center">Configuration</h2>
  <p class="text-muted text-center">Configure ElasticSearch parameters</p>
  <div class="card">
    <div class="card-body">
      <h4>Indeces</h4>
      <p class="text-muted">Configure indeces</p>
      <button
        class="btn btn-warning"
        (click)="isCollapsedCreate = !isCollapsedCreate"
        [attr.aria-expanded]="!isCollapsedCreate"
        aria-controls="create"
      >
        Add
      </button>
      <div id="create" [ngbCollapse]="isCollapsedCreate">
        <h4>Add index</h4>
        <div class="input-group mb-3">
          <input
            type="text"
            class="form-control"
            placeholder="Movie Index"
            aria-label="Movie Index"
            aria-describedby="basic-addon2"
          />
          <div class="input-group-append">
            <button class="btn btn-warning" type="button">Add</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h4>Movies</h4>
      <p class="text-muted">Configure movies</p>
      <button
        class="btn btn-warning"
        (click)="isCollapsedMovies = !isCollapsedMovies"
        [attr.aria-expanded]="!isCollapsedMovies"
        aria-controls="movies"
      >
        Configure Movies
      </button>
      <div id="movies" [ngbCollapse]="isCollapsedMovies">
        <h4>Upload movie csv</h4>
        <div class="input-group">
          <div class="custom-file">
            <input
              type="file"
              class="custom-file-input"
              id="inputGroupFileMovie"
            />
            <label class="custom-file-label" for="inputGroupFileMovie"
              >Choose movie file</label
            >
          </div>
          <div class="input-group-append">
            <button class="btn btn-warning" type="button">Upload</button>
          </div>
        </div>
        <hr />
        <h4>Delete all movies</h4>
        <button class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-body">
      <h4>Ratings</h4>
      <p class="text-muted">Configure ratings</p>
      <button
        class="btn btn-warning"
        (click)="isCollapsedRatings = !isCollapsedRatings"
        [attr.aria-expanded]="!isCollapsedRatings"
        aria-controls="ratings"
      >
        Configure Ratings
      </button>
      <div id="ratings" [ngbCollapse]="isCollapsedRatings">
        <h4>Upload ratings csv</h4>
        <div class="input-group">
          <div class="custom-file">
            <input
              type="file"
              class="custom-file-input"
              id="inputGroupFile04"
            />
            <label class="custom-file-label" for="inputGroupFile04"
              >Choose file</label
            >
          </div>
          <div class="input-group-append">
            <button class="btn btn-warning" type="button">
              Upload
            </button>
          </div>
        </div>
        <hr />
        <h4>Delete all ratings</h4>
        <button class="btn btn-danger">Delete</button>
      </div>
    </div>
  </div>
</div>
